Subject: Re: bug#26951: 25.2; `calc-mode': autoload?
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], Drew Adams <[email-masked]>
Date: Sun, 29 Sep 2019 04:59:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> Date: Tue, 16 May 2017 06:52:19 -0700 (PDT)
>> From: Drew Adams <[email-masked]>
>>
>> C-h r
>>
>> i calc  ; No match
>>
>> Something is wrong here too.  Calc should at least be mentioned
>> in the Emacs manual.  There should be a cross reference there
>> to the Calc manual.
>
> I don't see why.  We don't have such references for other packages
> documented in their separate manuals.  The Emacs manual is not the
> Hub" of Emacs-related documentation; the "dir" node is.
>
>> Searching for `calc' in the Emacs manual finds only one reference:
>
> You forgot "M-x info-apropos".

Eli Zaretskii <[email-masked]> writes:

>> Date: Tue, 16 May 2017 12:04:35 -0700 (PDT)
>> From: Drew Adams <[email-masked]>
>> Cc: [email-masked]
>>
>> > You forgot "M-x info-apropos".
>>
>> No I didn't.  That doesn't find `calc' in the Emacs manual.
>
> Because 'calc' is not in the Emacs manual.  The command does find
> 'calc' in the manual where it is described.  Which is what that
> command is for: to find stuff you don't know which manual to search it
> for.
>
> IOW, if you cannot find something in the manual(s) you think that
> something should be in, try the 'd' command or info-apropos as the
> last resort.

From the above, it seems like there is nothing more to do here, and I'm
therefore closing this bug report.

If anyone disagrees, feel free to reopen it.

Best regards,
Stefan Kangas